### レシピ初期化
# crp_util:conf Recipe [
#  {
#    IN: [ {id:"id_1_1", Count:c_1_1}, {id:"id_1_2", Count:c_1_2}, ...],
#    OUT: {id:"id_o_1", Count:c_o_1}
#  },
#  {
#    IN: [ {id:"id_2_1", Count:c_2_1}, {id:"id_2_2", Count:c_2_2}, ...],
#    OUT: {id:"id_o_2", Count:c_o_2}
#  },
#  ...
# ]

data modify storage crp_util:conf Recipe set value []

data modify storage crp_util:conf Recipe append value {IN:[{id:"minecraft:iron_ingot",Count:1b},{id:"minecraft:stick",Count:2b}],OUT:{id:"minecraft:carrot_on_a_stick",Count:1b,tag:{CustomModelData:9012200,display:{Name:'{"italic":false,"translate":"crp.util.name.tool"}'}}}}

###############################################################################
## レシピ追加方法
##  1. レシピ登録関数がload時に呼び出されるようにする
##       各データパックに以下のファイルを作成する
##         対象ファイル:
##           /data/crp_util/tags/functions/register_recipe.mcfunction
##         内容:
##           { "values": [ "<データパック名前空間>:<レシピ登録関数>" ] }
##  2. レシピ登録関数を実装する
##       対象ファイル:
##          /data/<データパック名前空間>/functions/<レシピ登録関数>
##       内容: ※以下の内容をレシピの数だけ
##          data modify storage crp_util:conf Recipe append value {IN:[{id="id_1_1",Count:c_1_1},{id="id_1_2",Count:c_1_2},...],OUT:{id="id_o_1",Count:c_o_1}}
###############################################################################
# data modify storage crp_util:conf Recipe append value {IN:[{id="id_1_1",Count:c_1_1},{id="id_1_2",Count:c_1_2},...],OUT:{id="id_o_1",Count:c_o_1}}
